#include <LCD12864RSPI.h>

/*
LCD      Arduino Duemilanove w/ATMega328
---      -------------------------------
LED-K    GND
LED-A    5V via 100R
RS       Pin 8, or 5V works
RW       Pin 9 
E        Pin 3
PSB      GND
*/

#include "splash_bmp.h"

#define AR_SIZE( a ) sizeof( a ) / sizeof( a[0] )

unsigned char line1[]="Sample Char Ln 1";
unsigned char line2[]="Sample Char Ln 2";
unsigned char line3[]="Sample Char Ln 3"; 
unsigned char line4[]="Sample Char Ln 4"; 

void setup()
{
  LCDA.Initialise();
  delay(100);
}

void loop()
{
LCDA.CLEAR();
delay(10);
LCDA.DrawFullScreen(splash1);
delay(5000);

LCDA.CLEAR();
delay(10);
LCDA.DisplayString(0,0,line1,16);
delay(10);
LCDA.DisplayString(1,0,line2,16);
delay(10);
LCDA.DisplayString(2,0,line3,16);
delay(10);
LCDA.DisplayString(3,0,line4,16);
delay(5000);
}
